v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{externalSubjectId}/dispensation-history
Retrieves dispensation history. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
externalSubjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
visitId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object DispensationHistoryResponse v2.0
Title:
DispensationHistoryResponse v2.0Response object containing Dispensation History.
Nested Schema : DispensationHistoryResponse v2.0
Type:
objectTitle:
DispensationHistoryResponse v2.0Response object containing Dispensation History.
Show Source
-
balanceUnits: number
(double)
Title:
Balance UnitsBalanced units for the kit.Example:1 -
dispensationDate: string
(date-time)
Title:
Dispensation DateDispensation date. -
inventoryId: string
(uuid)
Title:
Inventory IDInventory ID. -
inventoryStatus: number
(double)
Title:
Inventory StatusAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5 -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A -
kitNumber: number
(double)
Title:
Kit NumberKit number.Example:5 -
lastModifiedDate: string
(date-time)
Title:
Last Modified DateLast modified date. -
missingUnits: number
(double)
Title:
Missing UnitsMissing units for the kit.Example:1 -
packageTypeId: number
(double)
Title:
Package Type IDAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Package type ID.Example:5 -
returnedUnits: number
(double)
Title:
Returned UnitsReturned units for the kit.Example:1 -
siteId: string
(uuid)
Title:
Site IDSite ID. -
unitsPerKit: number
(double)
Title:
Units Per KitUnits per kit.Example:1
400 Response
Invalid parameters
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version. Or subject not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object